## com.ibm.lab.soln.dialogs
Class MyBasicWizardPage1

    java.lang.Object
      |
      +--org.eclipse.jface.dialogs.DialogPage
            |
            +--org.eclipse.jface.wizard.WizardPage
                  |
                  +--com.ibm.lab.soln.dialogs.MyBasicWizardPage1

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

public class MyBasicWizardPage1
extends org.eclipse.jface.wizard.WizardPage

A simple Wizard Page used to demonstrate multi page wizard operation and page state management.

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`MyBasicWizardPage1(java.lang.String pageName)`
`MyBasicWizardPage1(java.lang.String pageName, java.lang.String title, org.eclipse.jface.resource.ImageDescriptor titleImage)` Constructor to set default page status field text.
`MyBasicWizardPage1(java.lang.String pageName, java.lang.String title, org.eclipse.jface.resource.ImageDescriptor titleImage, boolean pageStatus)` Constructor to initialize page status field and set page status field text.

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the top level dialog control under the given parent composite.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### MyBasicWizardPage1

    public MyBasicWizardPage1(java.lang.String pageName)

### MyBasicWizardPage1

    public MyBasicWizardPage1(java.lang.String pageName,
                              java.lang.String title,
                              org.eclipse.jface.resource.ImageDescriptor titleImage)

  Constructor to set default page status field text.

### MyBasicWizardPage1

    public MyBasicWizardPage1(java.lang.String pageName,
                              java.lang.String title,
                              org.eclipse.jface.resource.ImageDescriptor titleImage,
                              boolean pageStatus)

  Constructor to initialize page status field and set page status field text.

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Creates the top level dialog control under the given parent composite.

  Implementors are responsible for ensuring that the created control can be accessed via `getControl`. This is done by identifying the main control you create using the `setControl` method.

  Overrides:
    `createControl` in class `org.eclipse.jface.dialogs.DialogPage`
  Parameters:
    `parent` - the parent composite
  See Also:
    `IDialogPage.createControl(Composite)`